\version "2.24.0"
\language "deutsch"

\paper {
  between-system-padding = 0\mm
  markup-system-spacing = #'((basic-distance . 2))
  left-margin = 1.5\cm
  line-width = 18.7\cm
  print-page-number = false
  top-margin = 10\mm
  bottom-margin = 5\mm
  ragged-last-bottom=##f
  system-count = #5
}

% diacritice: ă â î ş ţ Ţ Ş Ă

\header {
  title = "Den König aller empfangen wir"
  subtitle = "8. Ton"
  composer = "nach N. Lungu"
  meter = "Moderato"
  tagline=""
}

global = {
  %#(set-global-staff-size 19)
  \key f \major
  %\time 2/4
  \set Staff.midiInstrument = "clarinet"
  \autoBeamOn
}

womenWords = \lyricmode {
  Denn wir wer -- den den Kö -- nig, den Kö -- nig al -- ler emp -- fan -- gen, 
  den all -- mäch -- ti -- gen Kö -- nig al -- ler emp -- fan -- gen,
  der un -- sicht -- bar ge -- lei -- tet __ wird __
  von En -- geln, von En -- gel -- scha -- ren. 

  Hal -- le -- lu -- ja,
  Hal -- le -- lu -- ja,
  Hal -- le -- lu -- ja.
}

menWords = \lyricmode {
  Kö -- nig, den Kö -- nig al -- ler emp -- fan -- gen,
  \skip 1 \skip 1 \skip 1 \skip 1 \skip 1 \skip 1 \skip 1
  \skip 1 \skip 1 \skip 1 \skip 1 \skip 1
  der un -- sicht -- bar ge -- lei -- tet __ wird __
  von En -- geln, von En -- gel -- scha -- ren.

  Hal -- le -- lu -- ja,
  Hal -- le -- lu -- ja,
  Hal -- le -- lu -- ja.
}

sopMusic = \relative c' {
  % Ca pe Împăratul tuturor primind
  f4.^\mf g8 a4 b8 b c4( d4) c4. 
  c8 d4 d e8([ f8]) e8 d8 e4.( f8) f2 \breathe

  % pe Împăratul, Împăratul tuturor primind
  c4^\p c4 d4 c8 b a4( g8 a8) f2
  g4( a8 b8) a4. g8 f4( e4) f4. \breathe

  % pe cel nevăzut înconjurat
  g8
  a4.( b8 a4) b4 c4.( d8 c4) \breathe 
  b4
  a8( g8 a4)
  b8( c8 b4)
  c2~
  c4

  % de cetele îngereşti.
  c4
  d2
  d4 d4
  e8([ f8 e8 d8)]
  e4.( f8)
  f2 f4 b,4\rest

  % Aliluia, aliluia, aliluia.
  f4 g4 b8( a8 g4 a4 b4) c2
  b4 a4 d4( c4 b4 c4) a2
  f4 g4 a8([ b8 a8 f8] g4. a8) f2 ^\fermata \bar "|."
}

altMusic = \relative c' {
  % Ca pe Împăratul tuturor primind
  f4. g8 a4 b8 b c4( d4) c4.
  c8 b4 g c4 c8 c c4( b4) a2

  % pe Împăratul, Împăratul tuturor primind
  a4 a4 b4 a8 g f4( e4) f2
  e4( f8 g) f4. e8 f4( e4) f4.

  % pe cel nevăzut înconjurat
  e8
  f4.( g8 f4) g4 a4.( b8 a4) g4
  f8( e8 f4)
  g8( a8 g4)
  a2~
  a4

  % de cetele îngereşti.
  a4
  b2
  b4 g4
  c2
  c4( b4)
  a2 a4 b4\rest

  % Aliluia, aliluia, aliluia.
  f4 g4 b8( a8 g4 f4 g4) a2
  g4 f4 b4( a4 g4 a4) f2
  f4 g4 f2( e2) f2
}

tenorMusic = \relative c' {
  % Same notes as the tenor, but no dynamics

  % Ca pe Împăratul tuturor primind
  %f,4. g8 a4 bes4 c4( d4) c2
  r2 r c8.( a16 g8 f) c'4. 
  c8 b4 g4 c4 c8 c c,2 f

  % pe Împăratul, Împăratul tuturor primind
  f4 f4 b4 a8 g f4( c4) f2
  c2 c4. c8 c2 f4.

  % pe cel nevăzut înconjurat
  d8\rest
  \oneVoice
  R2 * 2
  \voiceTwo
  d8\rest  
  a'8 a b a4 g4 f8( e8 f4) c4( d8[ e]) f2( f4)

  % de cetele îngereşti.
  f4
  b2
  b4 g4
  c2
  c,2
  f2 f4 d4\rest

  % Aliluia, aliluia, aliluia.
  d2\rest %f4 g4
  f4 g4 f4( f) f2
  d2\rest %d4 c4
  d4 c4 f( f) f2
  d2\rest %f4 g4
  f4 f c2 <f f,>2
}

myScore = \new Score <<
  \new ChoirStaff <<
    \new Staff <<
     \new Voice { \voiceOne \global \sopMusic }
      \addlyrics { \womenWords }
      \new Voice { \voiceTwo \global \altMusic }
      >>
    
    \new Staff <<
      \clef bass
      \new Voice { \global \tenorMusic }
      %\new Voice { \voiceOne \global \tenorMusic }
      %\new Voice { \voiceTwo \global \bassMusic }
      %\new Voice { \global \bassMusic }
      \addlyrics { \menWords }
      >>
    
  >>
>>

\score {
  \myScore
  \layout { }
}

midiOutput = \midi {
   \tempo 4 = 60
   \context { \Voice \remove "Dynamic_performer" }
}

\score {
  %\unfoldRepeats
  \myScore
  \midi { \midiOutput }
}

\score {
  \new Voice { \global \sopMusic }
  \midi { \midiOutput }
}

\score {
  \new Voice { \global \altMusic }
  \midi { \midiOutput }
}

\score {
  \new Voice { \global \tenorMusic }
  \midi { \midiOutput }
}